Playback of H.264 videos on Debian Jessie 8 Gnu/Linux

RESOLVED WORKSFORME

Status

()

Core
Audio/Video: Playback
P5
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Piotr, Unassigned)

Tracking

37 Branch
x86_64
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:37.0) Gecko/20100101 Firefox/37.0
Build ID: 20150402191859

Steps to reproduce:

I have 37.0.2. Version 64bit.
I have Debian Jessie 8 64bit. Since 25 april 2015 this is official release.

I wanted to play video from Youtube embedded on another page. I also wanted to play videos on Youtube directly.


Actual results:

Embedded video doesn't played. I also can't play some newer videos directly from Youtube. It is caused because of lack of H.264 support. VP8 works but Youtube doesn't support it any more on embedded videos. It turns out that ffmpeg in Debian Jessie is not present. So there isn't gstreamer0.10-ffmpeg package.


Expected results:

Firefox should use libav instead of ffmpeg.
Iceweasel plays well H.264 videos on the same system.
(Reporter)

Updated

3 years ago
OS: Unspecified → Linux
Hardware: Unspecified → x86_64

Comment 1

3 years ago
Hi.
I experienced similar problem.
On Debian 8 amd64 (codename Jessie) and firefox 37.0.2 i can play youtube videos in 360p only.
On Debian 7 amd64 with the same firefox version i can play the same videos in 360p, 480p, 720p.

It seems that firefox use gstreamer0.10-ffmpeg (which is no longer avalible in Debian 8) instead of gstreamer1.0-libav package.

Updated

3 years ago
Component: Untriaged → Video/Audio
Depends on: 806917
Product: Firefox → Core

Comment 2

3 years ago
It really depends on bug #947287. GStreamer 1.0 is already supported, but by default Firefox is built against GStreamer 0.10 still.

Updated

3 years ago
Depends on: 947287
Component: Audio/Video → Audio/Video: Playback
Blocks: 1208910
Priority: -- → P5

Comment 3

2 years ago
This is now addressed with ffmpeg, so gstreamer is no longer needed for it.
gstreamer is going in bug 1234092
Status: UNCONFIRMED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.